MAN(1)

NAMN
man - an interface to the system reference manuals

SYNOPSIS
man [man options] [[section] page ...] ...
man -k [apropos options] regexp ...
man -K [man options] [section] term ...
man -f [whatis flaggor] sida ...
man -l [man options] file ...
man -w|-W [man options] page ...

BESKRIVNING
man is the system's manual pager. Each page argument given to man is normally the name of a program, utility or function. The manual page associated with each of these arguments is then found and displayed. A section, if provided, will direct man to look only in that section of the manual. The default action is to search in all of the available sections following a pre-defined order (see DEFAULTS), and to show only the first page found, even if page exists in several sections. Tabellen nedan visar avsnitts-numren för manualen åtföljt av vilken typ av sidor de innehåller.
1 | Exekverbara program eller skalkommandon
2 | Systemanrop (funktioner som tillhandahålls av kerneln)
3 | Biblioteksanrop (funktioner i programbibliotek)
4 | Speciella filer (hittas vanligtvis i /dev)
5 | File formats and conventions, e.g. /etc/passwd
6 | Spel
7 | Diverse (inklusive makropaket och konventioner), t.ex. man(7), groff(7)
8 | Kommandon för systemadministration (vanligtvis bara för root)
9 | Kernelrutiner [Icke-standard]
En manualsida består av flera avsnitt. Vanliga avsnittsnamn inkluderar NAMN, SYNOPSIS, KONFIGURATION, BESKRIVNING, FLAGGOR, SLUTSTATUS, RETURVÄRDE, FEL, MILJÖ, FILER, VERSIONER, ÖVERENSSTÄMMER MED, NOTERINGAR, FEL, EXEMPEL, UPPHOVSMÄN och SE VIDARE. Följande konventioner gäller för SYNOPSIS-avsnittet och kan användas som riktlinjer för andra avsnitt.
fet text | skriv in exakt som visat.
kursiv text | ersätt med lämpligt argument.
[-abc] | vilket som eller alla argumenten inom [ ] är valfria.
-a|-b | flaggor avgränsade av | kan inte användas tillsammans.
argument ... | argument går att upprepa.
[uttryck] ... | hela uttrycket inom [ ] går att upprepa.
Den exakta renderingen kan variera beroende på utmatningsenhet. Man kommer till exempel vanligtvis inte att kunna rendera kursiv text när det används i en terminal, utan kommer vanligtvis att använda understruken eller färgad text istället. Kommando- eller funktionsexemplet är ett mönster som bör matcha alla möjliga anrop. I vissa fall är det rekommenderat att exemplifiera med flera separata anrop så som visas i avsnittet SYNOPSIS i denna manualsida.

EXEMPEL

man ls
    Visa manualsidan för objektet (programmet) ls.

man man.7
    Display the manual page for macro package man from section 7. (This is an alternative spelling of "man 7 man".)

man 'man(7)'
    Display the manual page for macro package man from section 7. (This is another alternative spelling of "man 7 man". It may be more convenient when copying and pasting cross-references to manual pages. Note that the parentheses must normally be quoted to protect them from the shell.)

man -a intro
    Visa, i följd, alla tillgängliga intro-manualsidor som finns i manualen. Det är möjligt att avsluta mellan visningarna eller hoppa över någon av dem.

man -t bash | lpr -Pps
    Format the manual page for bash into the default troff or groff format and pipe it to the printer named ps. The default output for groff is usually PostScript. man --help should advise as to which processor is bound to the -t option.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    This command will decompress and format the nroff source manual page ./foo.1x.gz into a device independent (dvi) file. The redirection is necessary as the -T flag causes output to be directed to stdout with no pager. The output could be viewed with a program such as xdvi or further processed into PostScript using a program such as dvips.

man -k printf
    Genomsök de korta beskrivningarna och namnen på manualsidorna efter nyckelordet printf som ett reguljärt uttryck. Skriv ut allt som matchar. Ekvivalent med apropos printf.

man -f smail
    Leta upp manualsidorna som refereras till som smail och skriv ut de korta beskrivningarna för de som hittas. Ekvivalent med whatis smail.

ÖVERSIKT
Många flaggor till man finns för att ge användaren så mycket flexibilitet som möjligt. Ändringar kan göras till sökvägen, avsnittsordningen, utmatningshanteraren och andra beteenden och operationer som beskrivs nedan. If set, various environment variables are interrogated to determine the operation of man. It is possible to set the "catch-all" variable $MANOPT to any string in command line format, with the exception that any spaces used as part of an option's argument must be escaped (preceded by a backslash). man will parse $MANOPT prior to parsing its own command line. Those options requiring an argument will be overridden by the same options found on the command line. To reset all of the options set in $MANOPT, -D can be specified as the initial command line option. This will allow man to "forget" about the options specified in $MANOPT, although they must still have been valid. Manual pages are normally stored in nroff(1) format under a directory such as /usr/share/man. In some installations, there may also be preformatted cat pages to improve performance. See manpath(5) for details of where these files are stored. This package supports manual pages in multiple languages, controlled by your locale. If your system did not set this up for you automatically, then you may need to set $LC_MESSAGES, $LANG, or another system-dependent environment variable to indicate your preferred locale, usually specified in the POSIX format: <språk>[_<territorium>[.<teckenuppsättning>[,<version>]]] Om den önskade sidan finns tillgänglig i din lokal så kommer den att visas istället för standardsidan (vanligtvis på amerikansk engelska). If you find that the translations supplied with this package are not available in your native language and you would like to supply them, please contact the maintainer who will be coordinating such activity. Individual manual pages are normally written and maintained by the maintainers of the program, function, or other topic that they document, and are not included with this package. If you find that a manual page is missing or inadequate, please report that to the maintainers of the package in question. För information angående andra funktioner och tillägg för denna visare för manualsidor, se vidare i dokumenten som levererats med paketet.

STANDARDVÄRDEN
The order of sections to search may be overridden by the environment variable $MANSECT or by the SECTION directive in /etc/man_db.conf. By default it is as follows:
    1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x
The formatted manual page is displayed using a pager. This can be specified in a number of ways, or else will fall back to a default (see option -P for details). Filtren lokaliseras på ett antal olika sätt. Först kommer kommandoradsflaggan -p eller miljövariabeln $MANROFFSEQ att inspekteras. Om -p inte användes och miljövariabeln inte var satt kommer den första raden av nroff-filen att tolkas och genomsökas efter en preprocessorsträng. För att innehålla en giltig preprocessorsträng så måste första raden vara på formen '\" <sträng> där sträng kan vara vilken kombination som helst av bokstäver som beskrivs av flaggan -p nedan. Om ingen av de ovanstående metoderna tillhandahåller någon filterinformation kommer standarduppsättningen att användas. En formateringsrörledning skapas från filtren och den primära formateraren (nroff eller [tg]roff med -t) och köras. Alternativt om ett körbart program mandb_nfmt (eller mandb_tfmt med -t) existerar i roten till man-trädet kommer det att köras istället. Det förses med manualsidans källkodsfil, preprocessorsträngen och valfritt enheten som angetts med -T eller -E som argument.

FLAGGOR
Non-argument options that are duplicated either on the command line, in $MANOPT, or both, are not harmful. For options that require an argument, each duplication will override the previous argument value.

  Allmänna flaggor

-C fil, --config-file=fil
    Använd denna användarkonfigurationsfil snarare än standard ~/.manpath.

-d, --debug
    Skriver ut felsökningsinformation.

-D, --default
    Denna flagga anges normalt som den allra första flaggan och återställer man:s beteende till standardinställningarna. Den används för att återställa de flaggor som kan ha satts i $MANOPT. Flaggor som följer -D kommer att ha sin vanliga effekt.

--warnings[=varningar]
    Aktivera varningar från groff. Detta kan användas för att utföra rimlighetskontroller av källkodstexten för manualsidor. varningar är en kommaseparerad lista av varningsnamn; om de inte anges är standardvärdet ”mac”. Se noden “Varningar” i info groff för en lista av möjliga varningsnamn.

  Huvudarbetssätt

-f, --whatis
    Ekvivalent med whatis. Visa en kort beskrivning från manualsidan om den finns tillgänglig. Se whatis(1) för detaljer.

-k, --apropos
    Ekvivalent med apropos. Sök efter nyckelord bland beskrivningarna för manualsidor och visa matchningar. Se apropos(1) för detaljer.

-K, --global-apropos
    Sök efter text i alla manualsidor. Detta är en naiv sökning och tar troligtvis lite tid; om du kan så bör du ange ett avsnitt för att reducera antalet sidor som måste genomsökas. Söktermer kan vara enkla strängar (som standard) eller reguljära uttryck om flaggan --regex används.

    Notera att detta genomsöker manualsidornas källor, inte den renderade texten och kan därför inkludera falska positiver på grund av exempelvis kommentarer i källfiler. Sökning i den renderade texten hade varit mycket långsammare.

-l, --local-file
    Activate "local" mode. Format and display local manual files instead of searching through the system's manual collection. Each manual page argument will be interpreted as an nroff source file in the correct format. No cat file is produced. If '-' is listed as one of the arguments, input will be taken from stdin. When this option is not used, and man fails to find the page required, before displaying the error message, it attempts to act as if this option was supplied, using the name as a filename and looking for an exact match.

-w, --where, --path, --location
    Don't actually display the manual page, but do print the location of the source nroff file that would be formatted. If the -a option is also used, then print the locations of all source files that match the search criteria.

-W, --where-cat, --location-cat
    Don't actually display the manual page, but do print the location of the preformatted cat file that would be displayed. If the -a option is also used, then print the locations of all preformatted cat files that match the search criteria.

    If -w and -W are both used, then print both source file and cat file separated by a space. If all of -w, -W, and -a are used, then do this for each possible match.

-c, --catman
    Denna flagga är inte avsedd för allmänt bruk och bör bara användas av programmet catman.

-R kodning, --recode=kodning
    Istället för att formatera manualsidan på det vanliga sättet, mata ut dess källkod konverterat till den angivna kodningen. Om du redan vet kodningen för källkodsfilen kan du också använda manconv(1) direkt. Denna flagga låter dig dock konvertera flera manualsidor till en enstaka kodning utan att du måste explicit ange kodningstillstånden för var och en, givet att de redan fanns installerade i en struktur liknande en hierarki av manualsidor.

    Consider using man-recode(1) instead for converting multiple manual pages, since it has an interface designed for bulk conversion and so can be much faster.

  Att hitta manualsidor

-L lokal, --locale=lokal
    man kommer normalt att avgöra din aktuella lokal genom att anrop till C-funktionen setlocale(3) som kontrollerar diverse miljövariabler, som eventuellt $LC_MESSAGES och $LANG. För att tillfälligt åsidosätta det framtagna värdet, använd denna flagga för att ange en lokal-sträng direkt till man. Notera att det inte får någon effekt förrän sökningen efter sidor faktiskt påbörjas. Utmatning så som hjälpmeddelandet kommer alltid att visas enligt den först bestämda lokalen.

-m system[,...], --systems=system[,...]
    Om detta system har tillgång till andra operativsystems manualsidor kan de nås via den här flaggan. För att söka efter en manualsida från samlingen av manualsidor för NyttOS, använd flaggan -m NyttOS. system som angetts kan vara en kombination av kommaavgränsade namn på operativsystem. För att inkludera en sökning för det normala operativsystemets manualsidor, inkludera systemnamnet man i argumentsträngen. Denna flagga kommer att åsidosätta miljövariabeln $SYSTEM.

-M sökväg, --manpath=sökväg
    Ange en alternativ man-sökväg att använda. Som standard kommer man att använda manpath-härledd kod för att avgöra vilken sökväg som ska genomsökas. Denna flagga åsidosätter miljövariabeln $MANPATH och gör att flaggan -m ignoreras. En sökväg angiven som en man-sökväg måste vara roten för en hierarki av manualsidor strukturerad i avsnitt som beskrivits i man-db-manualen (Under ”Systemet för manualsidor”). För att visa manualsidor utanför sådana hierarkier, se flaggan -l.

-S list, -s list, --sections=list
    The given list is a colon- or comma-separated list of sections, used to determine which manual sections to search and in what order. This option overrides the $MANSECT environment variable. (The -s spelling is for compatibility with System V.)

-e underändelse, --extension=underändelse
    Some systems incorporate large packages of manual pages, such as those that accompany the Tcl package, into the main manual page hierarchy. To get around the problem of having two manual pages with the same name such as exit(3), the Tcl pages were usually all assigned to section l. As this is unfortunate, it is now possible to put the pages in the correct section, and to assign a specific "extension" to them, in this case, exit(3tcl). Under normal operation, man will display exit(3) in preference to exit(3tcl). To negotiate this situation and to avoid having to know which section the page you require resides in, it is now possible to give man a sub-extension string indicating which package the page must belong to. Using the above example, supplying the option -e tcl to man will restrict the search to pages having an extension of *tcl.

-i, --ignore-case
    Ignorera skiftläge vid sökning efter manualsidor. Detta är standard.

-I, --match-case
    Sök efter manualsidor på ett skiftlägeskänsligt sätt.

--regex
    Visa alla sidor där någon del av antingen deras namn eller deras beskrivningar matchar varje sida-argument som ett reguljärt uttryck, som med apropos(1). Eftersom det vanligtvis inte finns något rimligt sätt att välja en ”bästa” sida vid sökning via ett reguljärt uttryck så implicerar denna flagga -a.

--wildcard
    Visa alla sidor där någon del av antingen deras namn eller deras beskrivningar matchar varje sida-argument med jokertecken i skal-stil, som med apropos(1) --wildcard. Argumentet sida måste matcha hela namnet eller beskrivningen eller matcha på ordgränser i beskrivningen. Eftersom det vanligtvis inte finns något rimligt sätt att välja en ”bästa” sida vid sökning via jokertecken så implicerar denna flagga -a.

--names-only
    Om flaggan --regex eller --wildcard används så matcha enbart sidnamn, inte sidbeskrivningar, som med whatis(1). Förövrigt har den ingen effekt.

-a, --all
    Som standard kommer man att avsluta efter ha visat den mest lämpliga manualsidan den hittar. Om denna flagga används så tvingas man att visa alla manualsidor med namn som matchar sökkriteriet.

-u, --update
    This option causes man to update its database caches of installed manual pages. This is only needed in rare situations, and it is normally better to run mandb(8) instead.

--no-subpages
    Som standard kommer man att försöka tolka par av namn på manualsidor som anges på kommandoraden som ekvivalenta med ett enstaka namn på en manualsida som innehåller ett bindestreck eller ett understreck. Detta stöder vanliga mönster för program som implementerar ett antal underkommandon, vilket låter dem tillhandahålla manualsidor för vart och ett som kan nås via liknande syntax som skulle ha använts för att köra underkommandona själva. Till exempel:
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    För att inaktivera detta beteende, använd flaggan --no-subpages.
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Att kontrollera formaterad utmatning

-P sidvisare, --pager=sidvisare
    Ange vilken utmatningssidvisare som ska användas. Som standard använder man less, om less inte finns eller är körbar används cat. Denna flagga åsidosätter miljövariabeln $MANPAGER, vilken i sin tur åsidosätter miljövariabeln $PAGER. Den används inte i samband med -f eller -k. Värdet kan vara ett enkelt kommandonamn eller ett kommando med argument och får använda skalcitering (bakstreck, enkla citattecken eller dubbla citattecken). Det får inte använda rörledningar för att koppla ihop flera kommandon; om du behöver detta så använd ett inkapslingsskript som kan ta filen som ska visas antingen som ett argument eller via standard in.

-r prompt, --prompt=prompt
    Om en sen version av less används som sidvisaren kommer man att försöka ställa in dess prompt och en del vettiga flaggor. Standardprompten ser ut som Manualsida namn(avsn) rad x där namn betecknar manualsidans namn, avsn betecknar avsnittet i vilket den hittades och x det aktuella radnumret. Detta åstadkoms via miljövariabeln $LESS. Supplying -r with a string will override this default. The string may contain the text $MAN_PN which will be expanded to the name of the current manual page and its section name surrounded by "(" and ")". The string used to produce the default could be expressed as \ Manualsida\ \$MAN_PN\ ?ltrad\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (SLUT):?pB\ %pB\\%..
    (tryck på h för hjälp eller q för att avsluta) Den har radbrutits till tre rader enkom för läslighet. För dess innebörd se manualsidan för less(1). Promptsträngen utvärderas av skalet. Alla dubbla citattecken, grav accent och bakstreck i prompten måste föregås av en kontrollsekvens med ett bakstreck. Promptsträngen får sluta med en kontrollsekvens följd av ett $ vilket i sin tur kan följas av ytterligare flaggor till less. Som standard sätter man flaggorna -ix8. Miljövariabeln $MANLESS som beskrivs nedan kan användas för att ställa in en standardpromptsträng om ingen anges på kommandoraden.

-7, --ascii
    När du tittar på en ren ascii(7) manualsida på en 7-bitars terminal eller terminalemulator så kan vissa tecken komma att inte visas korrekt när latin1(7) enhetsbeskrivningen används med GNU nroff. Denna flagga låter rena ascii manualsidor visas i ascii med latin1-enheten. Den kommer inte att översätta någon latin1-text. Följande tabell visar översättningarna som görs: visa delar av den kan endast visas korrekt när GNU nroff:s latin1(7)-enhet används.
    Beskrivning | Oktal | latin1 | ascii
    bindestreck | 255 |  | -
    punkt (mittpunkt) | 267 | • | o
    akut accent | 264 | ´ | '
    multiplikationstecken | 327 | × | x
    Om latin1-kolumnen visas korrekt kan din terminal vara inställd på latin1-tecken och denna flagga behövs inte. Om latin1- och ascii-kolumnerna är identiska läser du denna sida med hjälp av denna flagga eller så formaterade inte man denna sidan via latin1-enhetsbeskrivningen. Om latin1-kolumnen saknas eller är trasig så kan du vara tvungen att visa manualsidor med denna flagga. Denna flagga ignoreras om flaggorna -t, -H, -T, eller -Z används och kan vara meningslös för andra nroff än GNU:s.

-E kodning, --encoding=kodning
    Generera utmatning för en annan teckenkodning är standardkodningen. För bakåtkompatibilitet kan kodning så väl vara en nroff-enhet, exempelvis ascii, latin1 eller utf8, som en riktig teckenkodning så som UTF-8.

--no-hyphenation, --nh
    Normalt kommer nroff automatiskt avstava text vid radbrytning även för ord som inte innehåller några bindestreck om detta behövs för att placera ut orden på en rad utan allt för mycket blanktecken. Denna flagga inaktiverar automatisk avstavning så att ord bara kommer att avstavas om de redan innehåller bindestreck. Om du skriver en manualsida och helt enkelt vill förhindra nroff från att avstava ett ord vid en olämplig punkt ska du inte använda denna flagga utan konsultera nroff-dokumentationen istället; du kan till exempel placera ”\%” inuti ett ord för att indikera att det kan avstavas vid denna punkten, eller placera ”\%” vid ordets början för att förhindra det från att avstavas.

--no-justification, --nj
    Normalt sett kommer nroff automatiskt att justera text längs båda marginalerna. Denna flagga inaktiverar fullständig justering men tillåter justering längs vänstermarginalen, ibland kallat ”text med ojämn högermarginal”. Om du skriver en manualsida och helt enkelt vill förhindra nroff från att justera vissa stycken ska du inte använda denna flagga, utan konsultera nroff-dokumentationen istället; du kan till exempel använda ”.na”, ”.nf”, ”.fi” och ”.ad”-begäran för att tillfälligt inaktivera justering och fyllning.

-p sträng, --preprocessor=sträng
    Ange sekvensen av preprocessorer som ska köras innan nroff eller troff/groff. Inte alla installationer kommer att ha den fullständiga uppsättningen av preprocessorer. Visa av preprocessorerna och bokstäverna som används för att beteckna dem är eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Denna flagga åsidosätter miljövariabeln $MANROFFSEQ. zsoelim körs alltid som den allra första preprocessorn.

-t, --troff
    Använd groff -mandoc för att formatera manualsidan till standard ut. Denna flagga krävs inte i samband med -H, -T, eller -Z.

-T[enhet], --troff-device[=enhet]
    Denna flagga används för att ändra groff:s (eller möjligtvis troff:s) utmatning för att vara lämplig för en enhet annan än standardenheten. Den implicerar -t. Exempel (som tillhandahålls av Groff-1.17) inkluderar dvi, latin1, ps, utf8, X75 och X100.

-H[webbläsare], --html[=webbläsare]
    Denna flagga kommer att få groff att producera HTML-utmatning och kommer att visa den utmatningen i en webbläsare. Valet av webbläsare bestäms av det valfria argumentet webbläsare om det finns angivet, av miljövariabeln $BROWSER eller av ett standardvärde vid kompileringen (vanligtvis lynx). Denna flagga implicerar -t och kommer endast att fungera med GNU troff.

-X[ppt], --gxditview[=ppt]
    Denna flagga visar utmatningen från groff i ett grafiskt fönster med hjälp av programmet gxditview. ppt (punkter per tum) kan vara 75, 75-12, 100, eller 100-12 där standardvärdet är 75; varianterna med -12 använder ett 12-punkters bastypsnitt. Denna flagga implicerar -T med enheten X75, X75-12, X100, respektive X100-12.

-Z, --ditroff
    groff kommer att köra troff och sedan använda en lämplig postprocessor för att producera utmatning lämplig för den valda enheten. Om groff -mandoc är groff kommer denna flagga att skickas vidare till groff och undertrycka användandet av en postprocessor. Den implicerar -t.

  Att få hjälp

-?, --help
    Skriv ut ett hjälpmeddelande och avsluta.

--usage
    Skriv ut ett kort användningsmeddelande och avsluta.

-V, --version
    Visa versionsinformation.

SLUTSTATUS

0   Framgångsrik programexekvering.

1   Användnings-, syntax- eller konfigurationsfilsfel.

2   Funktionsfel.

3   En barnprocess returnerade en slutstatus som inte var noll.

16  Åtminstone en av sidorna/filerna/nyckelorden existerade inte eller matchades inte.

MILJÖ

MANPATH
    Om $MANPATH är satt kommer dess värde att användas som sökvägen att genomsöka efter manualsidor.

MANROFFOPT
    Every time man invokes the formatter (nroff, troff, or groff), it adds the contents of $MANROFFOPT to the formatter's command line.

MANROFFSEQ
    Om $MANROFFSEQ är satt kommer dess värde att användas för att bestämma uppsättningen av preprocessorer som varje manualsida ska propageras genom. Standard preprocessorlistan är systemberoende.

MANSECT
    Om $MANSECT är satt är dess värde en kolonavgränsad lista över avsnitt och den används för att bestämma vilka manualavsnitt som ska genomsökas och i vilken ordning. Standardvärdet är ”1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x” om det inte åsidosatts av direktivet SECTION i /etc/man_db.conf.

MANPAGER, PAGER
    Om $MANPAGER eller $PAGER är satt ($MANPAGER används i första hand) så kommer dess värde att användas som namnet på det program som används för att visa manualsidan. Som standard kommer less att användas, om less inte hittas eller är körbar används cat. Värdet kan vara ett enkelt kommandonamn eller ett kommando med argument och får använda skalcitering (bakstreck, enkla citattecken eller dubbla citattecken). Det får inte använda rörledningar för att koppla ihop flera kommandon; om du behöver detta så använd ett inkapslingsskript som kan ta filen som ska visas antingen som ett argument eller via standard in.

MANLESS
    Om $MANLESS är satt kommer dess värde att användas som standardpromptsträngen för sidvisaren less, som om den hade angetts via flaggan -r (så förekomster av texten $MAN_PN kommer att expanderas på samma sätt). Om du till exempel ovillkorligen vill ställa in promptsträngen till “min promptsträng”, sätt $MANLESS till ‘-Psmin promptsträng’. Om flaggan -r används så åsidosätts denna miljövariabel.

BROWSER
    Om $BROWSER är satt är dess värde en kolonavgränsad lista av kommandon, som vart och ett kommer att användas för att försöka starta en webbläsare åt man --html. I varje kommando kommer %s att ersättas med ett filnamn innehållandes HTML-utmatningen från groff, %% ersätts med ett enkelt procenttecken (%) och %c ersätts med ett kolon (:).

SYSTEM
    Om $SYSTEM är satt kommer den att ha samma effekt som om den hade angetts som argument till flaggan -m.

MANOPT
    Om $MANOPT är satt kommer den att tolkas innan man:s kommandorad och förväntas att följa samma format. Eftersom alla andra man-specifika miljövariabler kan uttryckas som kommandoradsflaggor och därför är kandidater att inkluderas i $MANOPT är det förväntat att de kommer att bli föråldrade. Notera: alla blanksteg som ska tolkas som en del av en flaggas argument måste föregås av en kontrollsekvens.

MANWIDTH
    If $MANWIDTH is set, its value is used as the line length for which manual pages should be formatted. If it is not set, manual pages will be formatted with a line length appropriate to the current terminal (using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if neither is available). Cat pages will only be saved when the default formatting can be used, that is when the terminal line length is between 66 and 80 characters.

MAN_KEEP_FORMATTING
    När utmatning inte dirigeras till en terminal utan exempelvis till en fil eller en rörledning så förkastas formateringstecken för att göra det enklare att läsa resultatet utan något särskilt verktyg. Om $MAN_KEEP_FORMATTING är satt till ett icke-tomt värde kommer dessa formateringstecken dock att bibehållas. Detta kan vara användbart vid inkapsling av man som kan tolka formateringstecken.

MAN_KEEP_STDERR
    När utmatning inte dirigeras till en terminal (vanligtvis en sidvisare) kommer felutskrifter från kommandot som använts för att producera formaterade versioner av manualsidor att förkastas för att undvika störning i sidvisarens visning. Program så som groff producerar ofta mindre felmeddelanden om typografiska problem så som dålig justering som är fula och allmänt förvirrande när de visas samtidigt med manualsidan. Vissa användare vill dock se dem ändå så om $MAN_KEEP_STDERR är satt till ett icke-tomt värde kommer felutskrifter att visas som normalt.

LANG, LC_MESSAGES
    Beroende på system och implementation kommer endera eller båda av $LANG och $LC_MESSAGE att studeras för att bestämma den aktuella meddelandelokalen. man kommer att visa sina meddelanden i den lokalen (om den finns tillgänglig). Se setlocale(3) för vidare detaljer.

FILER

/etc/man_db.conf
    man-db-konfigurationsfil.

/usr/share/man
    En global hierarki av manualsidor.

SE VIDARE
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Documentation for some packages may be available in other formats, such as info(1) or HTML.

HISTORIA
1990, 1991 – Skrevs i original av John W. Eaton (jwe@che.utexas.edu). 23:e dec 1992: Rik Faith (faith@cs.unc.edu) lade till felfixar från Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30th April 1994 – 23rd February 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) has been developing and maintaining this package with the help of a few dedicated people. 30:e oktober 1996 – 30:e mars 2001: Farizio Polacco <fpolacco@debian.org> underhöll och förbättrade detta paket för Debian-projektet, med hjälp från hela gemenskapen. 31:a mars 2001 – idag: Colin Watson <cjwatson@debian.org> utvecklar och underhåller nu man-db.